Pixxel
Documentation
Developer Guide
Pixxel API
External
Ping ServerGET
Project
List projectsGETGet projectGET
AOI
List all AOIsGETCreate a new AOIPOSTGet AOIGETList supported satellitesGET
Search
Search satellite imagesPOST
Indices
List all available indicesGETCreate a new indexPOST
Visualizations
List visualizations for an AOIGETCreate a new visualizationPOSTUpdate visualization metadataPUTRollback visualization metadataPATCHGenerate an index PNG for a visualizationPOSTGenerate SLD styles for a visualizationPOST
Blocks
List BlocksGETGet Block VersionsGETGet Block by VersionGET
Insights
Create Insights on an AOIPOSTList InsightsGETDownload InsightsPUTDelete InsightsDEL
Assets
List assets for an AOIGET
Downloads
Create a download request for assets in an AOIPOSTGet status of a download requestGET
Workflows
List workflowsGETGet Workflows By IdGETGet Workflow Cost estimateGET
Jobs
List JobsGETCreate a job from a given workflowPOSTGet Job by Id and WF IdGETDownload JobPUT
Tasks
Download TaskPUT
Bandset
List all bandsetsGET
Order
List all ordersGETCreate an orderPOSTGet an orderGETList all orderItemsGETGet an orderItemGET
Archives
List all collectionsGETGet a collectionGETList items in a collectionGETGet itemGETSearch all itemsPOST
Report
download order reportGET
Stores
List storesGETCreate a storePOSTDelete a storeDEL
Catalog
List all deliveriesGETCreate deliveriesPOSTCreate a download resourcePOSTGet download statusGETSearch all catalogsPOSTGet a catalogGET
Pixxel
Documentation
Developer Guide
Pixxel API
External
Ping ServerGET
Project
List projectsGETGet projectGET
AOI
List all AOIsGETCreate a new AOIPOSTGet AOIGETList supported satellitesGET
Search
Search satellite imagesPOST
Indices
List all available indicesGETCreate a new indexPOST
Visualizations
List visualizations for an AOIGETCreate a new visualizationPOSTUpdate visualization metadataPUTRollback visualization metadataPATCHGenerate an index PNG for a visualizationPOSTGenerate SLD styles for a visualizationPOST
Blocks
List BlocksGETGet Block VersionsGETGet Block by VersionGET
Insights
Create Insights on an AOIPOSTList InsightsGETDownload InsightsPUTDelete InsightsDEL
Assets
List assets for an AOIGET
Downloads
Create a download request for assets in an AOIPOSTGet status of a download requestGET
Workflows
List workflowsGETGet Workflows By IdGETGet Workflow Cost estimateGET
Jobs
List JobsGETCreate a job from a given workflowPOSTGet Job by Id and WF IdGETDownload JobPUT
Tasks
Download TaskPUT
Bandset
List all bandsetsGET
Order
List all ordersGETCreate an orderPOSTGet an orderGETList all orderItemsGETGet an orderItemGET
Archives
List all collectionsGETGet a collectionGETList items in a collectionGETGet itemGETSearch all itemsPOST
Report
download order reportGET
Stores
List storesGETCreate a storePOSTDelete a storeDEL
Catalog
List all deliveriesGETCreate deliveriesPOSTCreate a download resourcePOSTGet download statusGETSearch all catalogsPOSTGet a catalogGET
  1. Workflows
  2. List workflows

List workflows

List workflows with pagination. Returns paginated results with limit (default: 50) and offset (default: 0) parameters. The response always includes pagination metadata with total count.

GET/v0/workflows
Authorisations
AuthorizationString
Query Parameters
project_idstring
Unique identifier for the project containing the workflows
idstring
Filter by specific workflow ID
namestring
Filter workflows by display name
created_bystring
Filter workflows by creator's user id
created_onstring
Filter workflows by creation date
updated_atstring
Filter workflows by last modification timestamp
offsetinteger
Offset for pagination
limitinteger
Limit for pagination
Response
application/json
OK
workflowsobject[]
Show child attributes
paginationobject
Show child attributes
List workflows
cURL
Python
Go
TypeScript
1curl -X GET 'https://api.pixxel.space/v0/workflows' \
2 -H 'Authorization: YOUR_API_KEY'
Response:
{
"workflows": [
{
"id": "string",
"project_id": "string",
"legacy_project_id": "string",
"name": "string",
"created_by": "string",
"description": "string",
"created_at": "string",
"updated_at": "string"
}
],
"pagination": null
}
Get status of a download requestGet Workflows By Id